#! /bin/sh

if [ $# -eq 0 ]
then
	echo "1 : M group; 2 : Out-of-M group "
    read group
    echo "1: ASP region; 2: env-ASP region; 3: ASP region without RRE"
    read region
    echo "Number of analyses (tree rotations, default 10):"
    read rotation
    echo "outfile name:"
    read out

else
  group=$1
  region=$2
  

fi

echo "Statistical significance of the potential stop codons.">$out
echo "">>$out


if [ -z "$rotation" ]
then 
rotation=10
fi



if [ $group -eq 1 ]
then
	file="echM.fasta"
	tree="treeM"
	echo "M group" >> $out
	
	
else
	file="echnonM.fasta"
	tree="treenonM"
	echo "out-of-M groups" >> $out
fi


if [ $region -eq 1 ]
then
	echo "ASP region">>$out
elif [ $region -eq 2 ]
then
	echo "env-ASP region">>$out
else
	echo "ASP region without RRE">>$out
fi


for i in $(seq 1 $rotation)
do
	echo "">>$out
	echo "rotation" $i
	echo "rotation" $i >>$out
	# random tree rotation
	python rotation.py $tree
	tail -c +6 treetmp.tree >treetmp
	echo "generate pair sequences"
	# sequence pair
	python generatesequencepairs.py $file ./treetmp
	echo "running..."
	# computation of the statistical significance (p-value) 
	python generatepvalue.py $region >> $out
done

rm *tmp*
rm listpos.txt
rm listseq.fasta


